Bug 29711 - kwin crashes when changing font configuration(OpenGL desktop effects enabled)
Summary: kwin crashes when changing font configuration(OpenGL desktop effects enabled)
Status: RESOLVED WONTFIX
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/r300 (show other bugs)
Version: 7.5
Hardware: x86 (IA32) Linux (All)
: high critical
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-20 11:52 UTC by Igor Strelnikoff
Modified: 2014-07-07 16:43 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg (47.96 KB, text/plain)
2010-08-20 12:07 UTC, Igor Strelnikoff
Details
Xorg.0.log (68.01 KB, text/x-log)
2010-08-20 12:09 UTC, Igor Strelnikoff
Details
xsession_errors (132.18 KB, text/plain)
2010-08-20 12:13 UTC, Igor Strelnikoff
Details
glxinfo (8.93 KB, text/plain)
2010-08-20 12:26 UTC, Igor Strelnikoff
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Igor Strelnikoff 2010-08-20 11:52:14 UTC
OS: OpenSUSE 11.3(kernel 2.6.34) with KDE 4.5. KDE 4.5 is installed from this repository:
http://download.opensuse.org/repositories/KDE%3a/Distro%3a/Factory/openSUSE_11.3/

Videocard: Radeon 9800Pro(R350)

When changing the font configuration Kwin crashed.

Reproducible: Always

Steps to Reproduce:
1.Personal_Settings->Application_Appearance->Fonts
2.Use anti-aliasing==Enabled; Force Font DPI==96DPI
3.Click "Apply"
Actual Results:  
Kwin crashed

-- Backtrace:
Application: KWin (kwin), signal: Segmentation fault
[KCrash Handler]
#7  0xb6be327b in ?? () from /usr/lib/libGL.so.1
#8  0xb6bbc107 in ?? () from /usr/lib/libGL.so.1
#9  0xb76d95c4 in KWin::SceneOpenGL::waitSync (this=0x81669f0) at
/usr/src/debug/kdebase-workspace-4.5.0/kwin/scene_opengl.cpp:781
#10 0xb76ef8b0 in KWin::SceneOpenGL::flushBuffer (this=0x81669f0, mask=8,
damage=...) at /usr/src/debug/kdebase-workspace-4.5.0/kwin/scene_opengl.cpp:793
#11 0xb774188a in KWin::SceneOpenGL::paint (this=0x81669f0, damage=...,
toplevels=...) at
/usr/src/debug/kdebase-workspace-4.5.0/kwin/scene_opengl.cpp:761
#12 0xb771e794 in KWin::Workspace::performCompositing (this=0x815def0) at
/usr/src/debug/kdebase-workspace-4.5.0/kwin/composite.cpp:454
#13 0xb7751a5b in KWin::Workspace::qt_metacall (this=0x815def0,
_c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbfca5f0c)
    at /usr/src/debug/kdebase-workspace-4.5.0/build/kwin/workspace.moc:583
#14 0xb6757efd in QMetaObject::metacall (object=0x815def0,
cl=QMetaObject::InvokeMetaMethod, idx=190, argv=0xbfca5f0c) at
kernel/qmetaobject.cpp:237
#15 0xb6766fe8 in QMetaObject::activate (sender=0x815e1a0, m=0xb686e5a4,
local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3295
#16 0xb67b3a35 in QTimer::timeout (this=0x815e1a0) at
.moc/release-shared/moc_qtimer.cpp:134
#17 0xb676c8e6 in QTimer::timerEvent (this=0x815e1a0, e=0xbfca6460) at
kernel/qtimer.cpp:271
#18 0xb6764774 in QObject::event (this=0x815e1a0, e=0xbfca6460) at
kernel/qobject.cpp:1212
#19 0xb5c8bc64 in QApplicationPrivate::notify_helper (this=0x8070590,
receiver=0x815e1a0, e=0xbfca6460) at kernel/qapplication.cpp:4302
#20 0xb5c93bf7 in QApplication::notify (this=0xbfca6794, receiver=0x815e1a0,
e=0xbfca6460) at kernel/qapplication.cpp:3706
#21 0xb72572c1 in KApplication::notify (this=0xbfca6794, receiver=0x815e1a0,
event=0xbfca6460) at
/usr/src/debug/kdelibs-4.5.0/kdeui/kernel/kapplication.cpp:310
#22 0xb76b3c4f in KWin::Application::notify (this=0xbfca6794, o=0x815e1a0,
e=0xbfca6460) at /usr/src/debug/kdebase-workspace-4.5.0/kwin/main.cpp:372
#23 0xb6751e0e in QCoreApplication::notifyInternal (this=0xbfca6794,
receiver=0x815e1a0, event=0xbfca6460) at kernel/qcoreapplication.cpp:726
#24 0xb678070e in sendEvent (this=0x8070d68) at kernel/qcoreapplication.h:215
#25 QTimerInfoList::activateTimers (this=0x8070d68) at
kernel/qeventdispatcher_unix.cpp:618
#26 0xb6780ffd in QEventDispatcherUNIX::processEvents (this=0x806fff8,
flags=...) at kernel/qeventdispatcher_unix.cpp:939
#27 0xb5d3cf5a in QEventDispatcherX11::processEvents (this=0x806fff8,
flags=...) at kernel/qeventdispatcher_x11.cpp:152
#28 0xb675111d in QEventLoop::processEvents (this=0xbfca66e4, flags=...) at
kernel/qeventloop.cpp:149
#29 0xb6751319 in QEventLoop::exec (this=0xbfca66e4, flags=...) at
kernel/qeventloop.cpp:201
#30 0xb6755c70 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#31 0xb5c89164 in QApplication::exec () at kernel/qapplication.cpp:3581
#32 0xb774ffab in kdemain (argc=3, argv=0xbfca69e4) at
/usr/src/debug/kdebase-workspace-4.5.0/kwin/main.cpp:531
#33 0x0804860b in main (argc=3, argv=0xbfca69e4) at
/usr/src/debug/kdebase-workspace-4.5.0/build/kwin/kwin_dummy.cpp:3

This bug in KDE Bugzilla: https://bugs.kde.org/show_bug.cgi?id=241263

>>it remains a driver issue problem.
>>Please report the bug to the people responsible for the
>>graphics/GLX driver you are using.

This bug in SUSE Bugzilla: https://bugzilla.novell.com/show_bug.cgi?id=632893

>>Unfortunately we have no ressources to work on radeon driver bugs. Hence the
>>issue needs to be fixed upstream. You can report the issue via the ATI mailing
>>list
Comment 1 Igor Strelnikoff 2010-08-20 12:07:03 UTC
Created attachment 38022 [details]
dmesg
Comment 2 Igor Strelnikoff 2010-08-20 12:07:31 UTC
[   37.416801] [drm:radeon_dvi_detect] *ERROR* DVI-I-1: probed a monitor but no|invalid EDID
[   37.508028] i2c i2c-1: readbytes: ack/nak timeout
[   37.508099] [drm:radeon_dvi_detect] *ERROR* DVI-I-1: probed a monitor but no|invalid EDID
[   38.191083] [drm:radeon_dvi_detect] *ERROR* DVI-I-1: probed a monitor but no|invalid EDID
[   38.267091] [drm:radeon_dvi_detect] *ERROR* DVI-I-1: probed a monitor but no|invalid EDID
[   39.821017] i2c i2c-1: readbytes: ack/nak timeout
[   39.821085] [drm:radeon_dvi_detect] *ERROR* DVI-I-1: probed a monitor but no|invalid EDID
Comment 3 Igor Strelnikoff 2010-08-20 12:09:26 UTC
Created attachment 38023 [details]
Xorg.0.log
Comment 4 Igor Strelnikoff 2010-08-20 12:13:13 UTC
Created attachment 38024 [details]
xsession_errors
Comment 5 Igor Strelnikoff 2010-08-20 12:25:57 UTC
Software :
- OpenSUSE 11.3 i586
- Linux kernel 2.6.34-desktop (2.6.34)
- KDE SC 4.5 final
- Mesa 7.8.2
- Xorg server 1.8.0
Comment 6 Igor Strelnikoff 2010-08-20 12:26:30 UTC
Created attachment 38025 [details]
glxinfo
Comment 7 Michel Dänzer 2010-09-20 10:40:48 UTC
(In reply to comment #7)
> Application: KWin (kwin), signal: Segmentation fault
> [KCrash Handler]
> #7  0xb6be327b in ?? () from /usr/lib/libGL.so.1
> #8  0xb6bbc107 in ?? () from /usr/lib/libGL.so.1

Please try and get debugging information for libGL.
Comment 8 Igor Strelnikoff 2010-09-25 06:14:20 UTC
New crash report

Application: KWin (kwin), signal: Segmentation fault
[KCrash Handler]
#7  0xb6bac27b in dri2DrawableGetMSC (psc=0x80d52e0, pdraw=0x0, ust=0xbfcfb028, msc=0xbfcfb020, sbc=0xbfcfb018) at dri2_glx.c:226
#8  0xb6b85107 in __glXGetVideoSyncSGI (count=0xbfcfb06c) at glxcmds.c:2317
#9  0xb76bb604 in KWin::SceneOpenGL::waitSync (this=0x8155e30) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/scene_opengl.cpp:781
#10 0xb76c8950 in KWin::SceneOpenGL::flushBuffer (this=0x8155e30, mask=8, damage=...) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/scene_opengl.cpp:793
#11 0xb7723c0a in KWin::SceneOpenGL::paint (this=0x8155e30, damage=..., toplevels=...) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/scene_opengl.cpp:761
#12 0xb76fbe24 in KWin::Workspace::performCompositing (this=0x814ed70) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/composite.cpp:454
#13 0xb772d49b in KWin::Workspace::qt_metacall (this=0x814ed70, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbfcfb35c)
    at /usr/src/debug/kdebase-workspace-4.5.1/build/kwin/workspace.moc:583
#14 0xb66f296d in QMetaObject::metacall (object=0x814ed70, cl=QMetaObject::InvokeMetaMethod, idx=190, argv=0xbfcfb35c) at kernel/qmetaobject.cpp:237
#15 0xb6702b1c in QMetaObject::activate (sender=0x814f020, m=0xb68265a4, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3272
#16 0xb6751ef5 in QTimer::timeout (this=0x814f020) at .moc/release-shared/moc_qtimer.cpp:134
#17 0xb67090e6 in QTimer::timerEvent (this=0x814f020, e=0xbfcfb8b0) at kernel/qtimer.cpp:271
#18 0xb67014e4 in QObject::event (this=0x814f020, e=0xbfcfb8b0) at kernel/qobject.cpp:1175
#19 0xb5bed1a4 in QApplicationPrivate::notify_helper (this=0x806d748, receiver=0x814f020, e=0xbfcfb8b0) at kernel/qapplication.cpp:4396
#20 0xb5bf5dd7 in QApplication::notify (this=0xbfcfbbc4, receiver=0x814f020, e=0xbfcfb8b0) at kernel/qapplication.cpp:3798
#21 0xb722f401 in KApplication::notify (this=0xbfcfbbc4, receiver=0x814f020, event=0xbfcfb8b0) at /usr/src/debug/kdelibs-4.5.1/kdeui/kernel/kapplication.cpp:310
#22 0xb7695c8f in KWin::Application::notify (this=0xbfcfbbc4, o=0x814f020, e=0xbfcfb8b0) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/main.cpp:372
#23 0xb66ec12e in QCoreApplication::notifyInternal (this=0xbfcfbbc4, receiver=0x814f020, event=0xbfcfb8b0) at kernel/qcoreapplication.cpp:732
#24 0xb671d4b4 in sendEvent (this=0x806ded0) at kernel/qcoreapplication.h:215
#25 QTimerInfoList::activateTimers (this=0x806ded0) at kernel/qeventdispatcher_unix.cpp:617
#26 0xb671dbfd in QEventDispatcherUNIX::processEvents (this=0x8052b98, flags=...) at kernel/qeventdispatcher_unix.cpp:938
#27 0xb5ca328a in QEventDispatcherX11::processEvents (this=0x8052b98, flags=...) at kernel/qeventdispatcher_x11.cpp:152
#28 0xb66eb40d in QEventLoop::processEvents (this=0xbfcfbb14, flags=...) at kernel/qeventloop.cpp:149
#29 0xb66eb639 in QEventLoop::exec (this=0xbfcfbb14, flags=...) at kernel/qeventloop.cpp:201
#30 0xb66f0090 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#31 0xb5beaed4 in QApplication::exec () at kernel/qapplication.cpp:3672
#32 0xb77359db in kdemain (argc=1, argv=0xbfcfbe14) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/main.cpp:531
#33 0x0804860b in main (argc=1, argv=0xbfcfbe14) at /usr/src/debug/kdebase-workspace-4.5.1/build/kwin/kwin_dummy.cpp:3
Comment 9 Igor Strelnikoff 2010-09-25 06:39:05 UTC
>>Application: kwin (4.4.85 (KDE 4.4.85 (KDE 4.5 Beta2)))
>>KDE Platform Version: 4.4.85 (KDE 4.4.85 (KDE 4.5 Beta2))
>>Qt Version: 4.7.0
>>Operating System: Linux 2.6.34-020634-generic i686
>>Distribution: Ubuntu 10.04 LTS

>>-- Information about the crash:
>>- What I was doing when the application crashed:
>>I opened System Settings - Color Settings - Colors, and changed the color for
>>Active Titlebar Text, and clicked Apply.

>>The crash can be reproduced every time.

Thread 1 (Thread 0xb3303720 (LWP 3611)):
[KCrash Handler]
#7  0xb6c719aa in dri2DrawableGetMSC (psc=0x9f5f5d0, pdraw=0x0, ust=0xbf9ce508,
msc=0xbf9ce500, sbc=0xbf9ce4f8) at dri2_glx.c:249
#8  0xb6c4b21c in __glXGetVideoSyncSGI (count=0xbf9ce54c) at glxcmds.c:2317

https://bugs.kde.org/show_bug.cgi?id=241263
Comment 10 Andreas Boll 2014-07-07 16:43:29 UTC
The classic r300 driver has been abandoned long ago.
It was replaced by the Gallium driver r300g.

If you have issues with r300g please file a new bug report with component Drivers/Gallium/r300

Thanks.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.